<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Project extends Eloquent {

	protected $table = 'projects';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('title', 'slug', 'description', 'country_id', 'project_type_id', 'main_image', 'multi_image', 'year', 'meta_description', 'meta_keywords', 'meta_image');

	public function country()
	{
		return $this->belongsTo('App\Models\Country', 'country_id');
	}

	public function type()
	{
		return $this->belongsTo('App\Models\ProjectType', 'project_type_id');
	}

}